:root {
  --color-1: #15202c;
  --color-2: #b5dc20;
  --color-3: #bbb3af;
  --color-4: #f2f4f3;
  --color-5: #8b5a49;
  --color-6: #2c2d30;
  --black: #000;
  --white: #fff;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Roboto", sans-serif;
  color: var(--color-4);
  background-color: var(--color-1);
}

p {
  padding: 16px 0;
  font-size: 1.1em;
}

h2 {
  color: var(--color-4);
  margin: 32px 0;
  font-size: 2.4em;
  font-weight: 400;
  text-transform: uppercase;
}

h3 {
  color: var(--color-2);
}

ul {
  margin-left: 16px;
}

a {
  color: var(--color-2);
  text-decoration: underline;
  font-weight: 600;
}

a:hover {
  text-decoration: none;
}

@media (max-width: 980px) {
  p {
    font-size: 1.2em;
  }
}

/* NAVIGATION SECTION */

nav {
  background-color: var(--color-1);
  width: 100%;
  position: fixed;
  z-index: 1;
}

.nav-wrapper {
  max-width: 80%;
  margin: 0 auto;
  padding: 16px 0;
  display: flex;
  flex-direction: row;
  gap: 16px;
  justify-content: space-between;
}

h1 {
  font-size: 1.3em;
  font-weight: 300;
  flex-grow: 4;
}

h1 #logo {
  z-index: 1;
  position: relative;
}

h3 {
  font-size: 1.4em;
  margin: 24px 0 16px 0;
}

.alt-logo {
  display: none;
}

nav ul {
  list-style-type: none;
  display: flex;
  justify-content: flex-start;
  gap: 32px;
  align-items: center;
}

nav ul a {
  color: var(--color-4);
  font-size: 1.2em;
  font-weight: 400;
  text-transform: uppercase;
  text-decoration: none;
}

nav ul a:hover {
  color: var(--color-3);
  padding-bottom: 2px;
}

.icon-container {
  display: flex;
  gap: 16px;
  justify-content: space-between;
  align-items: center;
}

.icon-container img {
  width: 100%;
  height: 100%;
}

.bw-icon {
  cursor: pointer;
}

.fa-circle-half-stroke.dark-mode {
  background-color: var(--color-3);
}

.nav-icon {
  display: none;
}

@media (max-width: 980px) {
  .nav-wrapper {
    max-width: 90%;
    display: flex;
    justify-content: flex-end;
  }

  nav ul {
    display: none;
    position: absolute;
    top: 90px;
    left: 0px;
    width: 100%;
    background-color: var(--color-1);
    margin-left: 0;
    z-index: 1;
  }

  nav li {
    display: block;
    text-align: center;
    margin: 16px 0;
    padding: 4px;
    border-bottom: 1px dotted var(--color-5);
  }

  .nav-icon {
    display: block;
    font-size: 1.4em;
    cursor: pointer;
  }
}

@media (min-width: 980px) {
  nav ul {
    display: flex !important;
  }
}

/* HEADER SECTION */

.header-section {
  background-image: url("images/exterier4.jpg");
  height: 65vh;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}

.header-section-wrapper {
  position: relative;
  max-width: 80%;
  margin: 0 auto;
}

.circle-ban {
  position: absolute;
  top: 160px;
  left: 24px;
  background-color: var(--color-2);
  width: 150px;
  height: 150px;
  border-radius: 50%;
  border: var(--color-4) 5px solid;
  justify-content: center;
  align-content: center;
}

.circle-ban-text-small {
  font-size: 1.2em;
  color: var(--color-1);
  text-align: center;
}
.circle-ban-text-big {
  text-align: center;
  font-size: 2.2em;
  font-weight: 600;
  color: var(--color-1);
}

/* SECTION ARTICLE */

section {
  max-width: 80%;
  margin: 0 auto;
  padding: 32px 0;
  scroll-margin-top: 100px;
}
.section-header {
  padding: 16px 0;
  text-align: center;
}

.ico-img {
  width: 100px;
}

.section-article {
  margin: 16px 0;
  display: flex;
  gap: 32px;
}

.col-2 {
  width: 50%;
}

.col-2-box {
  width: 50%;
  background-color: var(--color-6);
  border-radius: 16px;
  padding: 16px 32px;
}

.col-2-box-flex {
  display: flex;
  flex-direction: row;
  gap: 16px;
  padding: 16px;
}

.design-icon {
  font-size: 1.4em;
  color: var(--color-2);
  width: 30px;
}

.col-3 {
  text-align: center;
  align-content: center;
  font-size: 1.3em;
  color: var(--color-3);
  border-left: var(--color-3) 1px solid;
  border-right: var(--color-3) 1px solid;
  border-radius: 8px;
  padding: 16px;
}

img {
  width: 100%;
  height: 100%;
}

.box-img {
  border-radius: 16px;
}

@media (max-width: 980px) {
  .section-article {
    flex-direction: column;
  }

  .col-2,
  .col-2-box {
    width: 100%;
  }

  .col-2-box-flex {
    padding: 16px 0;
  }
}

/* MAP SECTION */

#map {
  width: 100%;
  height: 300px;
  border-radius: 16px;
  z-index: 0;
}

/* SOCIALS */

#socials {
  font-size: 2.4em;
  display: flex;
  flex-direction: row;
  justify-content: right;
  gap: 32px;
}

@media (max-width: 980px) {
  #socials {
    justify-content: center;
  }
}

/* FOOTER */

footer {
  background-color: var(--black);
  padding: 64px 0;
}

.footer-wrapper {
  max-width: 80%;
  margin: 0 auto;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  gap: 32px;
}

.footer-item {
  width: calc(100% / 3);
  color: var(--color-3);
  font-size: 0.9em;
}

.footer-img {
  width: 200px;
}

@media (max-width: 980px) {
  .footer-wrapper {
    flex-direction: column;
  }

  .footer-item {
    width: 100%;
    text-align: center;
  }
}

/* SCROLL BUTTON */

#scrollbtn {
  display: none;
  flex-wrap: wrap;
  justify-content: center;
  align-content: center;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  color: var(--color-2);
  background-color: var(--color-1);
  text-decoration: none;
  position: fixed;
  bottom: 20px;
  right: 20px;
  cursor: pointer;
  font-size: 2.5em;
}
